All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
lazy_program_compiler.hpp File Reference

Helper for compiling a program lazily. More...

`#include <map>`
`#include "viennacl/ocl/context.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::device_specific::lazy_program_compiler

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::device_specific
| Provides an OpenCL kernel generator.

## Detailed Description

Helper for compiling a program lazily.

Definition in file lazy_program_compiler.hpp.